﻿using Novacode;

namespace Hotline.Share.Dtos.ExportWord
{
    public class ExportPicture : IWordElement
    {
        /// <summary>
        /// 
        /// </summary>
        public Stream PictureData { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string PictureUrl { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public int Width { get; set; } = 300;

        /// <summary>
        /// 
        /// </summary>
        public int Height { get; set; } = 200;

    }

    public class ExportParagraph : IWordElement
    {
        /// <summary>
        /// 
        /// </summary>
        public ExportRun Run { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public Alignment Alignment { get; set; } = Alignment.center;

    }

    public class ExportComplex : IWordElement
    {
        /// <summary>
        /// 
        /// </summary>
        public List<IWordElement> Elements { get; set; } = new List<IWordElement>();

    }
}
